<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SpaceFighter2020: src/CollisionVisitor.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SpaceFighter2020
   </div>
   <div id="projectbrief">This documentation reffers to the game Space Fighter 2020 created for pa2 course. Game is side-scrolling shooter where the goal is to get on the end of the level and kill as much as enemy ships as possible. Player can pick up bonuses for repairing point of health or upgrading his weapons.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a>  </div>
  <div class="headertitle">
<div class="title">CollisionVisitor.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="Player_8h_source.html">Player.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="Enemy_8h_source.html">Enemy.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="Projectile_8h_source.html">Projectile.h</a>&quot;</code><br />
<code>#include &quot;<a class="el" href="Bonus_8h_source.html">Bonus.h</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for CollisionVisitor.h:</div>
<div class="dyncontent">
<div class="center"><img src="CollisionVisitor_8h__incl.png" border="0" usemap="#src_2CollisionVisitor_8h" alt=""/></div>
<map name="src_2CollisionVisitor_8h" id="src_2CollisionVisitor_8h">
<area shape="rect" title=" " alt="" coords="120,5,275,32"/>
<area shape="rect" href="Player_8h.html" title=" " alt="" coords="5,80,80,107"/>
<area shape="rect" href="Enemy_8h.html" title=" " alt="" coords="104,80,181,107"/>
<area shape="rect" href="Projectile_8h.html" title=" " alt="" coords="206,80,301,107"/>
<area shape="rect" href="Bonus_8h.html" title=" " alt="" coords="308,155,383,181"/>
<area shape="rect" href="Entity_8h.html" title=" " alt="" coords="77,155,147,181"/>
<area shape="rect" href="GameObject_8h.html" title=" " alt="" coords="128,229,243,256"/>
<area shape="rect" href="Object_8h.html" title=" " alt="" coords="99,304,175,331"/>
<area shape="rect" title=" " alt="" coords="200,304,267,331"/>
<area shape="rect" title=" " alt="" coords="108,379,167,405"/>
<area shape="rect" title=" " alt="" coords="223,155,283,181"/>
</map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="CollisionVisitor_8h__dep__incl.png" border="0" usemap="#src_2CollisionVisitor_8hdep" alt=""/></div>
<map name="src_2CollisionVisitor_8hdep" id="src_2CollisionVisitor_8hdep">
<area shape="rect" title=" " alt="" coords="316,5,471,32"/>
<area shape="rect" href="Bonus_8cpp.html" title=" " alt="" coords="5,80,117,107"/>
<area shape="rect" href="CollisionVisitor_8cpp.html" title=" " alt="" coords="142,80,311,107"/>
<area shape="rect" href="Enemy_8cpp.html" title=" " alt="" coords="336,80,451,107"/>
<area shape="rect" href="Player_8cpp.html" title=" " alt="" coords="475,80,587,107"/>
<area shape="rect" href="Projectile_8cpp.html" title=" " alt="" coords="611,80,744,107"/>
</map>
</div>
</div>
<p><a href="CollisionVisitor_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCollisionVisitor.html">CollisionVisitor</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract class of double dispatch visitor design patter.  <a href="classCollisionVisitor.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCollisionPlayer.html">CollisionPlayer</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resolves collision between <a class="el" href="classPlayer.html" title="Represent player, takes user input.">Player</a> and other objects.  <a href="classCollisionPlayer.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCollisionEnemy.html">CollisionEnemy</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resolves collision between <a class="el" href="classEnemy.html" title="Represents enemy, it shoots diferent type of projectiles and has chance to drop bonus on death.">Enemy</a> and other objects.  <a href="classCollisionEnemy.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCollisionBonus.html">CollisionBonus</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resolves collision between <a class="el" href="classBonus.html" title="Abstract class representing bonuses that can be applied to Player.">Bonus</a> and other objects.  <a href="classCollisionBonus.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classCollisionProjectile.html">CollisionProjectile</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resolves collision between <a class="el" href="classProjectile.html" title="class representing projectiles with their own speed, damage and sprites">Projectile</a> and other objects.  <a href="classCollisionProjectile.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
